<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>

<!--  (c) 2008 Varsity Gateway LLC.  All rights reserved. -->
<plugin id="com.metamatrix.modeler.jdbc" name="%pluginName" version="5.5.4" provider-name="%providerName" class="com.metamatrix.modeler.jdbc.JdbcPlugin">

   <runtime>
      <library name="modelerJdbc_PATCH.jar">
         <export name="*"/>
      </library>
<library name="modelerJdbc.jar">
         <export name="*"/>
      </library>
      <library name="lib/metamatrix-jdbc_PATCH.jar">
         <export name="*"/>
      </library>
<library name="lib/metamatrix-jdbc.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.emf.ecore"/>
      <import plugin="org.eclipse.emf.edit"/>
      <import plugin="org.eclipse.emf.ecore.edit"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.emf.ecore.xmi"/>
      <import plugin="com.metamatrix.core"/>
      <import plugin="org.bouncycastle_1.4"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="org.apache.poi"/>
   </requires>


<!--
   	Each extension below represents a single metamodel.  Each metmodel is
   	registered using under the specified <uri> value which must be the same
   	eNS_URI value defined in the EPackage class for that metamodel.
   -->
   <extension id="jdbcMetamodel" name="%metamodelName" point="com.metamatrix.modeler.core.metamodel">
      <uri>
         http://www.metamatrix.com/metamodels/JDBC
      </uri>
      <alternateUri>
         mtkplugin:///com.metamatrix.metamodels.jdbc
      </alternateUri>
      <packageClass name="com.metamatrix.modeler.jdbc.JdbcPackage">
      </packageClass>
      <adapterClass name="com.metamatrix.modeler.jdbc.provider.JdbcItemProviderAdapterFactory">
      </adapterClass>
      <properties createAsPhysical="false" requiresProxies="false" participatoryOnly="true" supportsExtension="true" createAsVirtual="false">
      </properties>
   </extension>
   <extension point="org.eclipse.emf.ecore.generated_package">
      <package uri="http://www.metamatrix.com/metamodels/JDBC" class="com.metamatrix.modeler.jdbc.JdbcPackage">
      </package>
   </extension>

</plugin>
